Get Contact Details
This API allows you to fetch the details of a specific contact request. You can use the email to retrieve the details of the contact.
curl --request GET \
--url https://api.cleverhub.co/api/v2/contacts/detail \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v2/contacts/detail"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v2/contacts/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "test@example.com",
"first_name": "Luyx",
"last_name": "Tran",
"type": "individual",
"dob": "1991-12-24",
"phone": "+6123224242",
"reg_no": "123456789",
"gender": "male",
"street": "338 George Street",
"city": "Sydney",
"postal_code": "2000",
"state": "New South Wales",
"country": "AU",
"identity": {
"issue_country": "AU",
"document_number": "12345678",
"issue_date": "2024-04-16",
"expiry_date": "2024-04-16",
"id_doc_type": "Passport"
},
"kyc_statuses": [
{
"kyc_status": "approved",
"message": "null"
},
{
"kyc_status": "rejected",
"message": "KYC is rejected."
}
]
}{
"errors": {
"code": "BAD_REQUEST",
"message": "Invalid query parameters."
}
}{
"errors": {
"code": "REQUIRE_LOGIN",
"message": "Not Authorized"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
Contact email. Please ensure that the email is correct before sending.
Response
OK
The contact's email used for verification.
Contact's first name
Contact's last name
The type of contact (e.g., individual or organization)
individual, organization "individual"
Contact date of birth format 'yyyy-mm-dd'
Contact's phone
"+61-412345678"
Contact registration number.
Contact's gender
male, female "male"
The primary name of an address's street.
Name of an address's city or town.
The address's postcode
The address's state / province / county.
ISO 3166-1 alpha-2 country code.
Contains the most recent KYC submission details for the contact.
Show child attributes
Show child attributes
An array of KYC statuses for the contact, containing multiple KYC instances with status and message.
Show child attributes
Show child attributes
